import processing.serial.*;

Serial puertoSerial;
float temperatura;

void setup() {
  size(200, 400);
  puertoSerial = new Serial(this, "COM16", 9600); // Ajusta el puerto según tu configuración
}

void draw() {
  if (puertoSerial.available() > 0) {
    String lectura = puertoSerial.readStringUntil('\n');
    if (lectura != null) {
      temperatura = float(lectura.trim());
    }
  }
  
  background(255);
  stroke(0);
  fill(255, 0, 0);
  rect(75, 100, 50, 200); // termómetro
  
  // Barra de temperatura
  float barraTemp = map(temperatura, 0, 40, 0, 200);
  fill(0, 255, 0);
  rect(75, 300 - barraTemp, 50, barraTemp); 
  
  // Texto de la temperatura
  textAlign(CENTER);
  textSize(20);
  fill(0);
  text("Temperatura", width/2, 50);
  text(temperatura + "°C", width/2, 350);
}
